package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag412;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT412Creator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag72Creator extends AbsTagCreate {
    private MT412Creator mt412Creator;

    public Tag72Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt412Creator= (MT412Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72Value = mt412Creator.getSenderToReceiverInformation();
        mt412Creator.set("72", tag72Value);
    }
}
